I had a similar problem, I solved it by using the development version of hs-plugins (ie. 
darcs get --set-scripts-executable <a href="http://www.cse.unsw.edu.au/~dons/code/hs-plugins">http://www.cse.unsw.edu.au/~dons/code/hs-plugins</a>)<br><br><div><span class="gmail_quote">On 02/10/2007, <b class="gmail_sendername">
Brandon S. Allbery KF8NH</b> &lt;<a href="mailto:allbery@ece.cmu.edu">allbery@ece.cmu.edu</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
<br>On Oct 1, 2007, at 21:59 , Björn Buckwalter wrote:<br><br>&gt; Dear all,<br>&gt;<br>&gt; I&#39;m getting a rather unfriendly error when trying to load a plugin<br>&gt; with hs-plugins:<br>&gt;<br>&gt;&nbsp;&nbsp;&nbsp;&nbsp; my_program: Ix{Int}.index: Index (65536) out of range ((0,7))
<br><br>This tends to mean that hs-plugins doesn&#39;t understand the format of<br>the .hi (compiled haskell module interface) file, which happens every<br>time a new ghc is released.&nbsp;&nbsp;Likely it&#39;s not been ported to work with
<br>6.6.1 yet.<br><br>--<br>brandon s. allbery [solaris,freebsd,perl,pugs,haskell] <a href="mailto:allbery@kf8nh.com">allbery@kf8nh.com</a><br>system administrator [openafs,heimdal,too many hats] <a href="mailto:allbery@ece.cmu.edu">
allbery@ece.cmu.edu</a><br>electrical and computer engineering, carnegie mellon university&nbsp;&nbsp;&nbsp;&nbsp;KF8NH<br><br><br>_______________________________________________<br>Haskell-Cafe mailing list<br><a href="mailto:Haskell-Cafe@haskell.org">
Haskell-Cafe@haskell.org</a><br><a href="http://www.haskell.org/mailman/listinfo/haskell-cafe">http://www.haskell.org/mailman/listinfo/haskell-cafe</a><br></blockquote></div><br><br clear="all"><br>-- <br>-Jeeva<br>